summaryrefslogtreecommitdiff
path: root/support/instant-rsyncd
diff options
context:
space:
mode:
authorWayne Davison <wayned@samba.org>2009-01-13 14:40:35 -0800
committerWayne Davison <wayned@samba.org>2009-01-13 14:52:03 -0800
commit01e293f1b52bd16b5b487f5003cce4948786c474 (patch)
treea17a7b50d52ea32ae2963592927fef5b1fa89ccf /support/instant-rsyncd
parent8051aa5a34b83c6da8acf82ad3dddb47437b994b (diff)
downloadrsync-01e293f1b52bd16b5b487f5003cce4948786c474.tar.gz
Use "use warnings" rather than -w on the #! line.
Diffstat (limited to 'support/instant-rsyncd')
-rwxr-xr-xsupport/instant-rsyncd4
1 files changed, 3 insertions, 1 deletions
diff --git a/support/instant-rsyncd b/support/instant-rsyncd
index 6ab1e66d..e9efb1ab 100755
--- a/support/instant-rsyncd
+++ b/support/instant-rsyncd
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
# instant-rsyncd lets you quickly set up and start a simple, unprivileged rsync
# daemon with a single module in the current directory. I've found it
@@ -12,6 +12,8 @@
# and once to log in to test the daemon.
# -- Matt McCutchen <matt@mattmccutchen.net>
+set -e
+
dir="$(pwd)"
echo